自己的路安装说明

作者:stoat 发布时间:2014-04-09 分类:闲扯

wget http://down.zijidelu.org/zijidelu_install.sh; chmod 740 zijidelu_install.sh; ./zijidelu_install.sh -y

选择下载点:China的为中国电信下载点(默认),USA为美国下载点。选择好后回车

VPS安装意外情况:
默认情况下,会自动安装环境包,但有时可能无法顺利完成,请手动执行命令安装以下环境包!
Debian系统:

apt-get -y install gcc g++ ssh make bzip2 flex vim bison libtool libncurses5-dev libncurses5 libncurses5-dev libncurses5-dev libpcrecpp0 patch ntpdate openssl libssl-dev build-essential file gawk binutils parted zip unzip libperl-dev perl ftp libreadline-dev

CentOS系统:

yum -y install gcc gcc-c++ bzip2 make vixie-cron flex ncurses-devel wget patch ntp libxml2 libxml2-devel libevent m4 autoconf zip unzip libjpeg libjpeg-devel gd gd-devel freetype freetype-devel libpng libpng-devel openssl openssl-devel file libtool libtool-libs gmp-devel pspell-devel parted zlib perl mod_perl-devel apr-util ftp readline-devel readline-devel apr apr-util curl-devel

第一次登陆LUM后,请更改系统密码,MySQL密码,PgSQL密码,便可以投入生产环境正式使用!

######------ 帐户相关:
后台登陆地址:http://ip:8888(将IP代替成您的服务器的IP地址或者解析到该IP的域名)
LUM后台用户名和密码:zijidelu zijidelu
mysql超级用户的用户名和密码:root zijidelu,phpMyAdmin管理面板:http://ip:8888/pm(为安全起见,该管理网址是可以在LUM中禁止的)
postgres超级用户的用户名和密码:postgres zijidelu,phpPgAdmin管理面板:http://ip:8888/pp(为安全起见,该管理网址是可以在LUM中禁止的)
默认情况下,所有密码都是zijidelu

######------ 相关概念:
LuNamp:LuNamp由Apache,Nginx,MySQL,Pure-Ftpd,Zend Optimizer等软件组成的自动化一键安装包(支持Linux和FreeBSD系统)。
LuManager:用来管理LuNamp的傻瓜化的虚拟主机,FTP,MySQL管理面板(快速记忆:Linux/Unix的管理者)
zijidelu_install.tar.gz:这是一个用来自动化安装LuNamp和LuManager的脚本程序,一般用户只需下载这个就行了,LuNamp和LuManager的下载是自动进行的。
ZijideluOS和HttpOS:一个基于CentOS的Linux发行版,是至今为止世界上最傻瓜,安装最方便的Linux网站操作系统,全自动安装,与LuNamp和LuManager完美兼容。
FAMP:1.0版本于2005年发布,1.X~4.X只是一键安装包(相当于LuNamp的功能),到5.X的时候,集成了控制面板。LuManager是从FAMP分离出来的控制面板的升级版本(不带安装环境LuNamp)。
LuNamp名称的详细说明:
L: linux, U: unix, N:nginx, A: apache, M: mysql, P: php

######------ 卸载方法:
1. 下载LuNamp_last.tar.gz,如果已经下载了,则找到该文件,一般位于zijidelu_install目录下(在哪个目录下进行安装的?)。
2. 解压:tar xvf LuNamp_last.tar.gz
3. 切换目录:cd LuNamp
4. 执行./i.sh,然后选2(uninstall)

######------ 软件操作方法:
* 关闭LUM及所有组件:lu-stop
* 启动LUM及所有组件:lu-start
* 重启LUM及所有组件:lu-restart

* 关闭MySQL:mysql-stop
* 启动MySQL:mysql-start
* 重启MySQL:mysql-restart

* 关闭PgSQL:pgsql-stop
* 启动PgSQL:pgsql-start
* 重启PgSQL:pgsql-restart

* 关闭Nginx:nginx-stop
* 启动Nginx:nginx-start
* 重启Nginx:nginx-restart

* 关闭apache:apache-stop
* 启动apache:apache-start
* 重启apache:apache-restart

* 关闭pureftpd:pureftpd-stop
* 启动pureftpd:pureftpd-start
* 重启pureftpd:pureftpd-restart

* 关闭LUM后台:lum-stop
* 启动LUM后台:lum-start
* 重启LUM后台:lum-restart

* 修复LUM文件权限(包括MySQL数据库权限的LUM软件本身的权限等):lu-repair

######------ 软件目录:
请看:LuNamp和LuManager的目录结构(http://www.zijidelu.org/thread-2205-1-1.html)

######------ 安装前替换组件版本:
拿替换mysql为例:
1. 当下载完成LuNamp_last.tar.gz后,手动解压,得到LuNamp目录
2. 下载最mysql(注意,下载的是以tar.gz结尾源码包,而非二进制包,例如mysql-5.5.9.tar.gz);
3. 将mysql包传至LuNamp/soft/目录下;
4. 修改LuNamp/code/mysql/mysql.sh文件,将改本号改掉(例如将5.1.6改成5.5.9)
5. 替换其它的软件包,然后执行LuNamp目录下的i.sh便可以安装(或者执行zijidelu_install目录下的i.sh,注意两个i.sh不一样,前者只安装LuNamp,后者安装LuNamp和LuManager)

######------ 升级组件:
提示:
1. MySQL只能升级同一系统版本的,如:mysql-5.1.54可以升级成mysql-5.1.61,但不能升级成mysql-5.5.X,因为mysql的各版本的数据库格式不通用。
2. 目前Nginx只能使用php5.2.X(/usr/local/php_fcgi),暂时不能升级成php5.3.X,非FastCGI模式(/usr/local/php)则不受这个限制
拿升级nginx为例:
1. 下载最新版的nginx(注意以前的软件包的后缀名,如tar.gz);
2. 将nginx包传至LuNamp/soft/目录下;
3. 修改LuNamp/code/nginx/nginx.sh文件,将改本号改掉
4. 切换目录:cd LuNamp/code/nginx/
5. 执行安装./nginx.sh
6. 升级完成后,去LuManager编辑任何一个主机,然后重启Nginx便可。

原文地址:自己的路安装说明 by 雪鼬博客

标签:vps

评论已关闭